This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 514213

Summary: 2.6.29.6-213 breaks my sound
Product: [Fedora] Fedora Reporter: Stephan Sachse <ste.sachse>
Component: kernelAssignee: Jaroslav Kysela <jkysela>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: itamar, jgxenite, kernel-maint, lpoetter, pnewell
Target Milestone: ---   
Target Release: ---   
Hardware: i586   
OS: Linux   
URL: https://www.redhat.com/archives/fedora-list/2009-July/msg02584.html
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-29 03:44:21 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Stephan Sachse 2009-07-28 07:54:48 EDT
Description of problem:

cpu load regularly goes 100% because of pulseaudio and sound stutters and stops


Version-Release number of selected component (if applicable):

2.6.29.6-213


How reproducible:

play a song in audacious or rhythmbox and wait some seconds


Actual results:

sound stutters, stops and 100% cpu load


Expected results:

sound plays smooth :)


Additional info:

other kernel version:

191 OK
198
201 OK
205
206 *oops*
208 *oops*
209 OK
211 OK
213 ERROR

looks like this issue is caused by the remove patch from #498858

syslog says:

: alsa-sink.c: Increasing wakeup watermark to 30,00 ms
: alsa-source.c: Increasing wakeup watermark to 30,00 ms
: alsa-sink.c: Increasing wakeup watermark to 40,00 ms
: alsa-util.c: snd_pcm_avail() returned a value that is exceptionally large: 4294935440 bytes (22369455 ms).
: alsa-util.c: Most likely this is a bug in the ALSA driver 'snd_intel8x0'. Please report this issue to the ALSA developers.
: alsa-util.c: snd_pcm_dump():
: alsa-util.c: Hardware PCM card 0 'Intel ICH6' device 0 subdevice 0
: alsa-util.c: Its setup is:
: alsa-util.c:   stream       : PLAYBACK
: alsa-util.c:   access       : MMAP_INTERLEAVED
: alsa-util.c:   format       : S16_LE
: alsa-util.c:   subformat    : STD
: alsa-util.c:   channels     : 2
: alsa-util.c:   rate         : 48000
: alsa-util.c:   exact rate   : 48000 (48000/1)
: alsa-util.c:   msbits       : 16
: alsa-util.c:   buffer_size  : 16384
: alsa-util.c:   period_size  : 16384
: alsa-util.c:   period_time  : 341333
: alsa-util.c:   tstamp_mode  : ENABLE
: alsa-util.c:   period_step  : 1
: alsa-util.c:   avail_min    : 16384
: alsa-util.c:   period_event : 0
: alsa-util.c:   start_threshold  : -1
: alsa-util.c:   stop_threshold   : 1073741824
: alsa-util.c:   silence_threshold: 0
: alsa-util.c:   silence_size : 0
: alsa-util.c:   boundary     : 1073741824
: alsa-util.c:   appl_ptr     : 2891550
: alsa-util.c:   hw_ptr       : 2867202
: alsa-util.c: snd_pcm_delay() returned a value that is exceptionally large: 496280 bytes (2584 ms).
: alsa-util.c: Most likely this is a bug in the ALSA driver 'snd_intel8x0'. Please report this issue to the ALSA developers.
: alsa-util.c: snd_pcm_dump():
: alsa-util.c: Hardware PCM card 0 'Intel ICH6' device 0 subdevice 0
: alsa-util.c: Its setup is:
: alsa-util.c:   stream       : PLAYBACK
: alsa-util.c:   access       : MMAP_INTERLEAVED
: alsa-util.c:   format       : S16_LE
: alsa-util.c:   subformat    : STD
: alsa-util.c:   channels     : 2
: alsa-util.c:   rate         : 48000
: alsa-util.c:   exact rate   : 48000 (48000/1)
: alsa-util.c:   msbits       : 16
: alsa-util.c:   buffer_size  : 16384
: alsa-util.c:   period_size  : 16384
: alsa-util.c:   period_time  : 341333
: alsa-util.c:   tstamp_mode  : ENABLE
: alsa-util.c:   period_step  : 1
: alsa-util.c:   avail_min    : 16384
: alsa-util.c:   period_event : 0
: alsa-util.c:   start_threshold  : -1
: alsa-util.c:   stop_threshold   : 1073741824
: alsa-util.c:   silence_threshold: 0
: alsa-util.c:   silence_size : 0
: alsa-util.c:   boundary     : 1073741824
: alsa-util.c:   appl_ptr     : 2992350
: alsa-util.c:   hw_ptr       : 2868280
: ratelimit.c: 3021 events suppressed
: ratelimit.c: 4779 events suppressed
: alsa-sink.c: Increasing wakeup watermark to 50,00 ms
: ratelimit.c: 4329 events suppressed
: cpulimit.c: Received request to terminate due to CPU overload.
Comment 1 Jaroslav Kysela 2009-07-29 03:44:21 EDT

*** This bug has been marked as a duplicate of bug 506075 ***